BLE_API v2.1.3

Data Fields
BLEATT_DIS_Handles Struct Reference
BLE Services » BLE Defined-Services » BLE DIS Definitions » BLE DIS Application Definitions » BLE DIS Structure Definitions

`#include <ble_service_dis.h>`

## Data Fields
uint16_t | hdl_serial_number_string
uint16_t | hdl_serial_number_string_format
uint16_t | hdl_manufacturer_name_string
uint16_t | hdl_manufacturer_name_string_format
uint16_t | hdl_system_id
uint16_t | hdl_firmware_revision_string
uint16_t | hdl_firmware_revision_string_format
uint16_t | hdl_model_number_string
uint16_t | hdl_model_number_string_format
uint16_t | hdl_hardware_revision_string
uint16_t | hdl_hardware_revision_string_format
uint16_t | hdl_software_revision_string
uint16_t | hdl_software_revision_string_format
uint16_t | hdl_pnp_id

## Detailed Description

DIS Handles Definition

## Field Documentation

## ◆ hdl_firmware_revision_string

uint16_t BLEATT_DIS_Handles::hdl_firmware_revision_string

Handle of DIS firmware revision string value.

## ◆ hdl_firmware_revision_string_format

uint16_t BLEATT_DIS_Handles::hdl_firmware_revision_string_format

Handle of DIS firmware revision string presentation format.

## ◆ hdl_hardware_revision_string

uint16_t BLEATT_DIS_Handles::hdl_hardware_revision_string

Handle of DIS hardware revision string value.

## ◆ hdl_hardware_revision_string_format

uint16_t BLEATT_DIS_Handles::hdl_hardware_revision_string_format

Handle of DIS hardware revision string presentation format.

## ◆ hdl_manufacturer_name_string

uint16_t BLEATT_DIS_Handles::hdl_manufacturer_name_string

Handle of DIS manufacturer name string value.

## ◆ hdl_manufacturer_name_string_format

uint16_t BLEATT_DIS_Handles::hdl_manufacturer_name_string_format

Handle of DIS manufacturer name string presentation format.

## ◆ hdl_model_number_string

uint16_t BLEATT_DIS_Handles::hdl_model_number_string

Handle of DIS model number string value.

## ◆ hdl_model_number_string_format

uint16_t BLEATT_DIS_Handles::hdl_model_number_string_format

Handle of DIS model number string presentation format.

## ◆ hdl_pnp_id

uint16_t BLEATT_DIS_Handles::hdl_pnp_id

Handle of DIS PnP ID value.

## ◆ hdl_serial_number_string

uint16_t BLEATT_DIS_Handles::hdl_serial_number_string

Handle of DIS serial number string value.

## ◆ hdl_serial_number_string_format

uint16_t BLEATT_DIS_Handles::hdl_serial_number_string_format

Handle of DIS serial number string presentation format.

## ◆ hdl_software_revision_string

uint16_t BLEATT_DIS_Handles::hdl_software_revision_string

Handle of DIS software revision string value.

## ◆ hdl_software_revision_string_format

uint16_t BLEATT_DIS_Handles::hdl_software_revision_string_format

Handle of DIS software revision string presentation format.

## ◆ hdl_system_id

uint16_t BLEATT_DIS_Handles::hdl_system_id

Handle of DIS system ID value.

The documentation for this struct was generated from the following file:

- Source/Service/DIS/ble_service_dis.h